
ChiliProject - Feature # 221: Use the git sha for the revision

Status: Closed Priority: Normal
Author: Eric Davis Category:
Created: 2011-02-24 Assignee: Eric Davis
Updated: 2011-10-25 Due date:
Remote issue URL:
Affected version:
Description: @lib/redmine/version.rb@ is currently reading the svn XML to find which revision the site is.  I threw 

something together to replace that for git. Can someone review it, especially with Ruby 1.9 or a non-standard 
git path?

https://github.com/edavis10/chiliproject/tree/feature/master/git-revision-parse

Associated revisions
2011-10-26 12:55 am - Eric Davis
[#221 Use git rev-parse to get the current sha for the version string

History
2011-02-25 07:21 am - Holger Just
I'd include the currently checked out branch into the info too. Maybe also the date of the HEAD commit for a quick overview.

2011-02-25 11:50 am - Ian Freeman
Humble suggestion, utilize tagging as much as possible and display the version as @git describe@?

2011-02-25 09:27 pm - Eric Davis
The point of the revision value is to let someone know the exact version they are running. I don't think adding additional data to it like the current 
branch, tag, or commit date will help much.  It will either be a sha we know about directly from our repo or it will be a custom sha from a fork.

2011-02-26 12:38 am - Ian Freeman
git-describe does uniquely identify the sha1, it just doesn't display the entire thing, while at the same time giving more meaningful information to 
humans.

2011-10-25 10:59 pm - Eric Davis
- Target version set to 2.4.0

- Status changed from Ready for review to Closed

The version number is now using git for the revision part (x.y.z.REVISION).
